Bug 126208 - Text not displayed, after hiding first row of merged cell
Summary: Text not displayed, after hiding first row of merged cell
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: x86-64 (AMD64) All
: medium trivial
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Calc-Merge-Split
  Show dependency treegraph
 
Reported: 2019-07-03 12:32 UTC by Tim
Modified: 2020-04-26 15:16 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Picture with bug (35.39 KB, image/jpeg)
2019-07-04 07:39 UTC, Tim
Details
Sample Document (10.65 KB, application/vnd.oasis.opendocument.spreadsheet)
2019-07-08 12:55 UTC, Tim
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tim 2019-07-03 12:32:47 UTC
Description:
Text in merged cell in 3 or more Rows not visible, when we hide 1 row of cell and if text wider than cell and enabled Wrap text. After save cell looks like blank.

Steps to Reproduce:
1.Type text with few words that is wider cell
2.merged cell in 1 Column and 3 or more Rows
3.enable Wrap text
4.hide first rows of merged cell
5.save file

Actual Results:
Text is disapear, it can be visible after double click on cell, but after saving document it's hide again

Expected Results:
Text must be visible


Reproducible: Always


User Profile Reset: No



Additional Info:
Comment 1 raal 2019-07-04 04:40:01 UTC
Works for me in Version: 6.4.0.0.alpha0+
Build ID: 9fbedb7929936a45967ae49bc15b985f95e2ebd3
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 

 Seems to be fixed with dev version. Please could you test it with
dev version?  You can download it here:
http://dev-builds.libreoffice.org/daily/master/
Thank you
Comment 2 Tim 2019-07-04 07:24:21 UTC
(In reply to raal from comment #1)
> Works for me in Version: 6.4.0.0.alpha0+
> Build ID: 9fbedb7929936a45967ae49bc15b985f95e2ebd3
> CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
> 
>  Seems to be fixed with dev version. Please could you test it with
> dev version?  You can download it here:
> http://dev-builds.libreoffice.org/daily/master/
> Thank you

I checked in Version: 6.4.0.0.alpha0+ (x64)
Build ID: a9885aed4ee65067613e5506771b6ae6b5e0bae0
CPU threads: 4; OS: Windows 10.0; UI render: default; VCL: win; 

Bug is still here, text is not visible
Comment 3 Tim 2019-07-04 07:39:11 UTC
Created attachment 152548 [details]
Picture with bug
Comment 4 QA Administrators 2019-07-05 02:46:27 UTC Comment hidden (obsolete)
Comment 5 Xisco Faulí 2019-07-05 10:27:07 UTC
Thank you for reporting the bug. Please attach a sample document, as this makes it easier for us to verify the bug. 
(Please note that the attachment will be public, remove any sensitive information before attaching it. 
See https://wiki.documentfoundation.org/QA/FAQ#How_can_I_eliminate_confidential_data_from_a_sample_document.3F for help on how to do so.)

I have set the bug's status to 'NEEDINFO'. Please change it back to 'UNCONFIRMED' once the requested document is provided.
Comment 6 Tim 2019-07-08 12:55:06 UTC
Created attachment 152642 [details]
Sample Document

After Ctrl+S Text in merged cell disapear.
Comment 7 Stanislaus J. Pinasthika 2019-11-14 11:03:59 UTC
Hello, thanks for reporting the bug. I'm using LibreOffice 6.3.0.4 and it run as expected. Also work in my Calc 6.4.0.0.alpha1+, Build ID: 80109586e6cb6d3e2e0a53a9079c3125ec9b8368 CPU threads: 8; OS: Linux 5.0; UI render: default; VCL: kf5;
Comment 8 Buovjaga 2020-04-26 15:16:14 UTC
I can repro with the text data copied & pasted into a new spreadsheet also with version 3.3.0.

Arch Linux 64-bit
Version: 7.0.0.0.alpha0+
Build ID: 6a9c7409ee617b79c327dd7ea4de432f448b6006
CPU threads: 8; OS: Linux 5.6; UI render: default; VCL: kf5; 
Locale: fi-FI (fi_FI.UTF-8); UI-Language: en-US
Calc: threaded
Built on 24 April 2020